# class Puppet::Indirector::StoreConfigs

### Attributes

target[R]

### Public Class Methods

new() click to toggle source
Calls superclass method Puppet::Indirector::Terminus.new

    # File lib/puppet/indirector/store_configs.rb, line 2
    def initialize
      super
      # This will raise if the indirection can't be found, so we can assume it
      # is always set to a valid instance from here on in.
      @target = indirection.terminus Puppet[:storeconfigs_backend]
    end

### Public Instance Methods

destroy(request) click to toggle source

    # File lib/puppet/indirector/store_configs.rb, line 27
    def destroy(request)
      target.save request
    end

find(request) click to toggle source

    # File lib/puppet/indirector/store_configs.rb, line 15
    def find(request)
      target.find request
    end

head(request) click to toggle source

    # File lib/puppet/indirector/store_configs.rb, line 11
    def head(request)
      target.head request
    end

save(request) click to toggle source

    # File lib/puppet/indirector/store_configs.rb, line 23
    def save(request)
      target.save request
    end

search(request) click to toggle source

    # File lib/puppet/indirector/store_configs.rb, line 19
    def search(request)
      target.search request
    end